function k() {
}
const Et = (t) => t;
function Mt(t, e) {
  for (const n in e) t[n] = e[n];
  return (
    /** @type {T & S} */
    t
  );
}
function mt(t) {
  return t();
}
function ct() {
  return /* @__PURE__ */ Object.create(null);
}
function L(t) {
  t.forEach(mt);
}
function st(t) {
  return typeof t == "function";
}
function kt(t, e) {
  return t != t ? e == e : t !== e || t && typeof t == "object" || typeof t == "function";
}
let R;
function ce(t, e) {
  return t === e ? !0 : (R || (R = document.createElement("a")), R.href = e, t === R.href);
}
function Lt(t) {
  return Object.keys(t).length === 0;
}
function jt(t, ...e) {
  if (t == null) {
    for (const s of e)
      s(void 0);
    return k;
  }
  const n = t.subscribe(...e);
  return n.unsubscribe ? () => n.unsubscribe() : n;
}
function ae(t, e, n) {
  t.$$.on_destroy.push(jt(e, n));
}
function D(t, e, n, s) {
  if (t) {
    const i = pt(t, e, n, s);
    return t[0](i);
  }
}
function pt(t, e, n, s) {
  return t[1] && s ? Mt(n.ctx.slice(), t[1](s(e))) : n.ctx;
}
function W(t, e, n, s) {
  if (t[2] && s) {
    const i = t[2](s(n));
    if (e.dirty === void 0)
      return i;
    if (typeof i == "object") {
      const r = [], l = Math.max(e.dirty.length, i.length);
      for (let o = 0; o < l; o += 1)
        r[o] = e.dirty[o] | i[o];
      return r;
    }
    return e.dirty | i;
  }
  return e.dirty;
}
function H(t, e, n, s, i, r) {
  if (i) {
    const l = pt(e, n, s, r);
    t.p(l, i);
  }
}
function I(t) {
  if (t.ctx.length > 32) {
    const e = [], n = t.ctx.length / 32;
    for (let s = 0; s < n; s++)
      e[s] = -1;
    return e;
  }
  return -1;
}
const gt = typeof window < "u";
let Ot = gt ? () => window.performance.now() : () => Date.now(), it = gt ? (t) => requestAnimationFrame(t) : k;
const S = /* @__PURE__ */ new Set();
function yt(t) {
  S.forEach((e) => {
    e.c(t) || (S.delete(e), e.f());
  }), S.size !== 0 && it(yt);
}
function St(t) {
  let e;
  return S.size === 0 && it(yt), {
    promise: new Promise((n) => {
      S.add(e = { c: t, f: n });
    }),
    abort() {
      S.delete(e);
    }
  };
}
const ue = typeof window < "u" ? window : typeof globalThis < "u" ? globalThis : (
  // @ts-ignore Node typings have this
  global
);
function C(t, e) {
  t.appendChild(e);
}
function At(t, e, n) {
  const s = ot(t);
  if (!s.getElementById(e)) {
    const i = x("style");
    i.id = e, i.textContent = n, bt(s, i);
  }
}
function ot(t) {
  if (!t) return document;
  const e = t.getRootNode ? t.getRootNode() : t.ownerDocument;
  return e && /** @type {ShadowRoot} */
  e.host ? (
    /** @type {ShadowRoot} */
    e
  ) : t.ownerDocument;
}
function Nt(t) {
  const e = x("style");
  return e.textContent = "/* empty */", bt(ot(t), e), e.sheet;
}
function bt(t, e) {
  return C(
    /** @type {Document} */
    t.head || t,
    e
  ), e.sheet;
}
function rt(t, e, n) {
  t.insertBefore(e, n || null);
}
function N(t) {
  t.parentNode && t.parentNode.removeChild(t);
}
function fe(t, e) {
  for (let n = 0; n < t.length; n += 1)
    t[n] && t[n].d(e);
}
function x(t) {
  return document.createElement(t);
}
function at(t) {
  return document.createElementNS("http://www.w3.org/2000/svg", t);
}
function wt(t) {
  return document.createTextNode(t);
}
function X() {
  return wt(" ");
}
function de() {
  return wt("");
}
function V(t, e, n, s) {
  return t.addEventListener(e, n, s), () => t.removeEventListener(e, n, s);
}
function he(t) {
  return function(e) {
    return e.preventDefault(), t.call(this, e);
  };
}
function _(t, e, n) {
  n == null ? t.removeAttribute(e) : t.getAttribute(e) !== n && t.setAttribute(e, n);
}
function $e(t, e, n) {
  const s = e.toLowerCase();
  s in t ? t[s] = typeof t[s] == "boolean" && n === "" ? !0 : n : e in t ? t[e] = typeof t[e] == "boolean" && n === "" ? !0 : n : _(t, e, n);
}
function _e(t) {
  return t === "" ? null : +t;
}
function Pt(t) {
  return Array.from(t.childNodes);
}
function me(t, e) {
  e = "" + e, t.data !== e && (t.data = /** @type {string} */
  e);
}
function pe(t, e) {
  t.value = e ?? "";
}
function ge(t, e, n, s) {
  n == null ? t.style.removeProperty(e) : t.style.setProperty(e, n, "");
}
let q;
function zt() {
  if (q === void 0) {
    q = !1;
    try {
      typeof window < "u" && window.parent && window.parent.document;
    } catch {
      q = !0;
    }
  }
  return q;
}
function ye(t, e) {
  getComputedStyle(t).position === "static" && (t.style.position = "relative");
  const s = x("iframe");
  s.setAttribute(
    "style",
    "display: block; position: absolute; top: 0; left: 0; width: 100%; height: 100%; overflow: hidden; border: 0; opacity: 0; pointer-events: none; z-index: -1;"
  ), s.setAttribute("aria-hidden", "true"), s.tabIndex = -1;
  const i = zt();
  let r;
  return i ? (s.src = "data:text/html,<script>onresize=function(){parent.postMessage(0,'*')}<\/script>", r = V(
    window,
    "message",
    /** @param {MessageEvent} event */
    (l) => {
      l.source === s.contentWindow && e();
    }
  )) : (s.src = "about:blank", s.onload = () => {
    r = V(s.contentWindow, "resize", e), e();
  }), C(t, s), () => {
    (i || r && s.contentWindow) && r(), N(s);
  };
}
function be(t, e, n) {
  t.classList.toggle(e, !!n);
}
function Ct(t, e, { bubbles: n = !1, cancelable: s = !1 } = {}) {
  return new CustomEvent(t, { detail: e, bubbles: n, cancelable: s });
}
function Bt(t) {
  const e = {};
  return t.childNodes.forEach(
    /** @param {Element} node */
    (n) => {
      e[n.slot || "default"] = !0;
    }
  ), e;
}
const G = /* @__PURE__ */ new Map();
let K = 0;
function Tt(t) {
  let e = 5381, n = t.length;
  for (; n--; ) e = (e << 5) - e ^ t.charCodeAt(n);
  return e >>> 0;
}
function Rt(t, e) {
  const n = { stylesheet: Nt(e), rules: {} };
  return G.set(t, n), n;
}
function ut(t, e, n, s, i, r, l, o = 0) {
  const u = 16.666 / s;
  let c = `{
`;
  for (let g = 0; g <= 1; g += u) {
    const m = e + (n - e) * r(g);
    c += g * 100 + `%{${l(m, 1 - m)}}
`;
  }
  const p = c + `100% {${l(n, 1 - n)}}
}`, $ = `__svelte_${Tt(p)}_${o}`, y = ot(t), { stylesheet: f, rules: d } = G.get(y) || Rt(y, t);
  d[$] || (d[$] = !0, f.insertRule(`@keyframes ${$} ${p}`, f.cssRules.length));
  const h = t.style.animation || "";
  return t.style.animation = `${h ? `${h}, ` : ""}${$} ${s}ms linear ${i}ms 1 both`, K += 1, $;
}
function Dt(t, e) {
  const n = (t.style.animation || "").split(", "), s = n.filter(
    e ? (r) => r.indexOf(e) < 0 : (r) => r.indexOf("__svelte") === -1
    // remove all Svelte animations
  ), i = n.length - s.length;
  i && (t.style.animation = s.join(", "), K -= i, K || Wt());
}
function Wt() {
  it(() => {
    K || (G.forEach((t) => {
      const { ownerNode: e } = t.stylesheet;
      e && N(e);
    }), G.clear());
  });
}
let T;
function B(t) {
  T = t;
}
function lt() {
  if (!T) throw new Error("Function called outside component initialization");
  return T;
}
function we(t) {
  lt().$$.on_mount.push(t);
}
function Ce(t) {
  lt().$$.on_destroy.push(t);
}
function xe() {
  const t = lt();
  return (e, n, { cancelable: s = !1 } = {}) => {
    const i = t.$$.callbacks[e];
    if (i) {
      const r = Ct(
        /** @type {string} */
        e,
        n,
        { cancelable: s }
      );
      return i.slice().forEach((l) => {
        l.call(t, r);
      }), !r.defaultPrevented;
    }
    return !0;
  };
}
const O = [], et = [];
let A = [];
const ft = [], Ht = /* @__PURE__ */ Promise.resolve();
let nt = !1;
function It() {
  nt || (nt = !0, Ht.then(Z));
}
function Q(t) {
  A.push(t);
}
const Y = /* @__PURE__ */ new Set();
let j = 0;
function Z() {
  if (j !== 0)
    return;
  const t = T;
  do {
    try {
      for (; j < O.length; ) {
        const e = O[j];
        j++, B(e), qt(e.$$);
      }
    } catch (e) {
      throw O.length = 0, j = 0, e;
    }
    for (B(null), O.length = 0, j = 0; et.length; ) et.pop()();
    for (let e = 0; e < A.length; e += 1) {
      const n = A[e];
      Y.has(n) || (Y.add(n), n());
    }
    A.length = 0;
  } while (O.length);
  for (; ft.length; )
    ft.pop()();
  nt = !1, Y.clear(), B(t);
}
function qt(t) {
  if (t.fragment !== null) {
    t.update(), L(t.before_update);
    const e = t.dirty;
    t.dirty = [-1], t.fragment && t.fragment.p(t.ctx, e), t.after_update.forEach(Q);
  }
}
function Ft(t) {
  const e = [], n = [];
  A.forEach((s) => t.indexOf(s) === -1 ? e.push(s) : n.push(s)), n.forEach((s) => s()), A = e;
}
let P;
function Ut() {
  return P || (P = Promise.resolve(), P.then(() => {
    P = null;
  })), P;
}
function tt(t, e, n) {
  t.dispatchEvent(Ct(`${e ? "intro" : "outro"}${n}`));
}
const U = /* @__PURE__ */ new Set();
let v;
function ve() {
  v = {
    r: 0,
    c: [],
    p: v
    // parent group
  };
}
function Ee() {
  v.r || L(v.c), v = v.p;
}
function z(t, e) {
  t && t.i && (U.delete(t), t.i(e));
}
function F(t, e, n, s) {
  if (t && t.o) {
    if (U.has(t)) return;
    U.add(t), v.c.push(() => {
      U.delete(t), s && (n && t.d(1), s());
    }), t.o(e);
  } else s && s();
}
const Jt = { duration: 0 };
function Me(t, e, n, s) {
  let r = e(t, n, { direction: "both" }), l = s ? 0 : 1, o = null, u = null, c = null, p;
  function $() {
    c && Dt(t, c);
  }
  function y(d, h) {
    const g = (
      /** @type {Program['d']} */
      d.b - l
    );
    return h *= Math.abs(g), {
      a: l,
      b: d.b,
      d: g,
      duration: h,
      start: d.start,
      end: d.start + h,
      group: d.group
    };
  }
  function f(d) {
    const {
      delay: h = 0,
      duration: g = 300,
      easing: m = Et,
      tick: M = k,
      css: E
    } = r || Jt, b = {
      start: Ot() + h,
      b: d
    };
    d || (b.group = v, v.r += 1), "inert" in t && (d ? p !== void 0 && (t.inert = p) : (p = /** @type {HTMLElement} */
    t.inert, t.inert = !0)), o || u ? u = b : (E && ($(), c = ut(t, l, d, g, h, m, E)), d && M(0, 1), o = y(b, g), Q(() => tt(t, d, "start")), St((a) => {
      if (u && a > u.start && (o = y(u, g), u = null, tt(t, o.b, "start"), E && ($(), c = ut(
        t,
        l,
        o.b,
        o.duration,
        0,
        m,
        r.css
      ))), o) {
        if (a >= o.end)
          M(l = o.b, 1 - l), tt(t, o.b, "end"), u || (o.b ? $() : --o.group.r || L(o.group.c)), o = null;
        else if (a >= o.start) {
          const w = a - o.start;
          l = o.a + o.d * m(w / o.duration), M(l, 1 - l);
        }
      }
      return !!(o || u);
    }));
  }
  return {
    run(d) {
      st(r) ? Ut().then(() => {
        r = r({ direction: d ? "in" : "out" }), f(d);
      }) : f(d);
    },
    end() {
      $(), o = u = null;
    }
  };
}
function ke(t) {
  return t?.length !== void 0 ? t : Array.from(t);
}
function Vt(t, e, n) {
  const { fragment: s, after_update: i } = t.$$;
  s && s.m(e, n), Q(() => {
    const r = t.$$.on_mount.map(mt).filter(st);
    t.$$.on_destroy ? t.$$.on_destroy.push(...r) : L(r), t.$$.on_mount = [];
  }), i.forEach(Q);
}
function Gt(t, e) {
  const n = t.$$;
  n.fragment !== null && (Ft(n.after_update), L(n.on_destroy), n.fragment && n.fragment.d(e), n.on_destroy = n.fragment = null, n.ctx = []);
}
function Kt(t, e) {
  t.$$.dirty[0] === -1 && (O.push(t), It(), t.$$.dirty.fill(0)), t.$$.dirty[e / 31 | 0] |= 1 << e % 31;
}
function Qt(t, e, n, s, i, r, l = null, o = [-1]) {
  const u = T;
  B(t);
  const c = t.$$ = {
    fragment: null,
    ctx: [],
    // state
    props: r,
    update: k,
    not_equal: i,
    bound: ct(),
    // lifecycle
    on_mount: [],
    on_destroy: [],
    on_disconnect: [],
    before_update: [],
    after_update: [],
    context: new Map(e.context || (u ? u.$$.context : [])),
    // everything else
    callbacks: ct(),
    dirty: o,
    skip_bound: !1,
    root: e.target || u.$$.root
  };
  l && l(c.root);
  let p = !1;
  if (c.ctx = n ? n(t, e.props || {}, ($, y, ...f) => {
    const d = f.length ? f[0] : y;
    return c.ctx && i(c.ctx[$], c.ctx[$] = d) && (!c.skip_bound && c.bound[$] && c.bound[$](d), p && Kt(t, $)), y;
  }) : [], c.update(), p = !0, L(c.before_update), c.fragment = s ? s(c.ctx) : !1, e.target) {
    if (e.hydrate) {
      const $ = Pt(e.target);
      c.fragment && c.fragment.l($), $.forEach(N);
    } else
      c.fragment && c.fragment.c();
    e.intro && z(t.$$.fragment), Vt(t, e.target, e.anchor), Z();
  }
  B(u);
}
let xt;
typeof HTMLElement == "function" && (xt = class extends HTMLElement {
  /** The Svelte component constructor */
  $$ctor;
  /** Slots */
  $$s;
  /** The Svelte component instance */
  $$c;
  /** Whether or not the custom element is connected */
  $$cn = !1;
  /** Component props data */
  $$d = {};
  /** `true` if currently in the process of reflecting component props back to attributes */
  $$r = !1;
  /** @type {Record<string, CustomElementPropDefinition>} Props definition (name, reflected, type etc) */
  $$p_d = {};
  /** @type {Record<string, Function[]>} Event listeners */
  $$l = {};
  /** @type {Map<Function, Function>} Event listener unsubscribe functions */
  $$l_u = /* @__PURE__ */ new Map();
  constructor(t, e, n) {
    super(), this.$$ctor = t, this.$$s = e, n && this.attachShadow({ mode: "open" });
  }
  addEventListener(t, e, n) {
    if (this.$$l[t] = this.$$l[t] || [], this.$$l[t].push(e), this.$$c) {
      const s = this.$$c.$on(t, e);
      this.$$l_u.set(e, s);
    }
    super.addEventListener(t, e, n);
  }
  removeEventListener(t, e, n) {
    if (super.removeEventListener(t, e, n), this.$$c) {
      const s = this.$$l_u.get(e);
      s && (s(), this.$$l_u.delete(e));
    }
  }
  async connectedCallback() {
    if (this.$$cn = !0, !this.$$c) {
      let t = function(i) {
        return () => {
          let r;
          return {
            c: function() {
              r = x("slot"), i !== "default" && _(r, "name", i);
            },
            /**
             * @param {HTMLElement} target
             * @param {HTMLElement} [anchor]
             */
            m: function(u, c) {
              rt(u, r, c);
            },
            d: function(u) {
              u && N(r);
            }
          };
        };
      };
      if (await Promise.resolve(), !this.$$cn || this.$$c)
        return;
      const e = {}, n = Bt(this);
      for (const i of this.$$s)
        i in n && (e[i] = [t(i)]);
      for (const i of this.attributes) {
        const r = this.$$g_p(i.name);
        r in this.$$d || (this.$$d[r] = J(r, i.value, this.$$p_d, "toProp"));
      }
      for (const i in this.$$p_d)
        !(i in this.$$d) && this[i] !== void 0 && (this.$$d[i] = this[i], delete this[i]);
      this.$$c = new this.$$ctor({
        target: this.shadowRoot || this,
        props: {
          ...this.$$d,
          $$slots: e,
          $$scope: {
            ctx: []
          }
        }
      });
      const s = () => {
        this.$$r = !0;
        for (const i in this.$$p_d)
          if (this.$$d[i] = this.$$c.$$.ctx[this.$$c.$$.props[i]], this.$$p_d[i].reflect) {
            const r = J(
              i,
              this.$$d[i],
              this.$$p_d,
              "toAttribute"
            );
            r == null ? this.removeAttribute(this.$$p_d[i].attribute || i) : this.setAttribute(this.$$p_d[i].attribute || i, r);
          }
        this.$$r = !1;
      };
      this.$$c.$$.after_update.push(s), s();
      for (const i in this.$$l)
        for (const r of this.$$l[i]) {
          const l = this.$$c.$on(i, r);
          this.$$l_u.set(r, l);
        }
      this.$$l = {};
    }
  }
  // We don't need this when working within Svelte code, but for compatibility of people using this outside of Svelte
  // and setting attributes through setAttribute etc, this is helpful
  attributeChangedCallback(t, e, n) {
    this.$$r || (t = this.$$g_p(t), this.$$d[t] = J(t, n, this.$$p_d, "toProp"), this.$$c?.$set({ [t]: this.$$d[t] }));
  }
  disconnectedCallback() {
    this.$$cn = !1, Promise.resolve().then(() => {
      !this.$$cn && this.$$c && (this.$$c.$destroy(), this.$$c = void 0);
    });
  }
  $$g_p(t) {
    return Object.keys(this.$$p_d).find(
      (e) => this.$$p_d[e].attribute === t || !this.$$p_d[e].attribute && e.toLowerCase() === t
    ) || t;
  }
});
function J(t, e, n, s) {
  const i = n[t]?.type;
  if (e = i === "Boolean" && typeof e != "boolean" ? e != null : e, !s || !n[t])
    return e;
  if (s === "toAttribute")
    switch (i) {
      case "Object":
      case "Array":
        return e == null ? null : JSON.stringify(e);
      case "Boolean":
        return e ? "" : null;
      case "Number":
        return e ?? null;
      default:
        return e;
    }
  else
    switch (i) {
      case "Object":
      case "Array":
        return e && JSON.parse(e);
      case "Boolean":
        return e;
      case "Number":
        return e != null ? +e : e;
      default:
        return e;
    }
}
function Zt(t, e, n, s, i, r) {
  let l = class extends xt {
    constructor() {
      super(t, n, i), this.$$p_d = e;
    }
    static get observedAttributes() {
      return Object.keys(e).map(
        (o) => (e[o].attribute || o).toLowerCase()
      );
    }
  };
  return Object.keys(e).forEach((o) => {
    Object.defineProperty(l.prototype, o, {
      get() {
        return this.$$c && o in this.$$c ? this.$$c[o] : this.$$d[o];
      },
      set(u) {
        u = J(o, u, e), this.$$d[o] = u, this.$$c?.$set({ [o]: u });
      }
    });
  }), s.forEach((o) => {
    Object.defineProperty(l.prototype, o, {
      get() {
        return this.$$c?.[o];
      }
    });
  }), t.element = /** @type {any} */
  l, l;
}
class Xt {
  /**
   * ### PRIVATE API
   *
   * Do not use, may change at any time
   *
   * @type {any}
   */
  $$ = void 0;
  /**
   * ### PRIVATE API
   *
   * Do not use, may change at any time
   *
   * @type {any}
   */
  $$set = void 0;
  /** @returns {void} */
  $destroy() {
    Gt(this, 1), this.$destroy = k;
  }
  /**
   * @template {Extract<keyof Events, string>} K
   * @param {K} type
   * @param {((e: Events[K]) => void) | null | undefined} callback
   * @returns {() => void}
   */
  $on(e, n) {
    if (!st(n))
      return k;
    const s = this.$$.callbacks[e] || (this.$$.callbacks[e] = []);
    return s.push(n), () => {
      const i = s.indexOf(n);
      i !== -1 && s.splice(i, 1);
    };
  }
  /**
   * @param {Partial<Props>} props
   * @returns {void}
   */
  $set(e) {
    this.$$set && !Lt(e) && (this.$$.skip_bound = !0, this.$$set(e), this.$$.skip_bound = !1);
  }
}
const Yt = "4";
typeof window < "u" && (window.__svelte || (window.__svelte = { v: /* @__PURE__ */ new Set() })).v.add(Yt);
function te(t) {
  At(t, "svelte-1m890h5", "*,*::before,*::after{margin:0;padding:0;box-sizing:border-box}.CashierModalWindow{container-type:inline-size;container-name:confirm-modal;display:flex;position:absolute;align-items:center;justify-content:center;width:100%;height:100%;z-index:4;top:0;left:0;background-color:var(--emw--color-background, rgba(0, 0, 0, 0.1))}.CashierModalContainer{width:500px;display:flex;flex-direction:column;justify-content:center;align-items:center;gap:var(--emw--spacing-large, 20px);position:relative;padding:var(--emw--spacing-medium, 15px);min-height:200px;box-shadow:0 2px 6px 0 var(--mmw--color-black-transparency-10, rgba(0, 0, 0, 0.1));border-radius:var(--mmw--border-radius-large-plus, 10px);background-color:var(--emw--color-white, #fff)}.ModalOkBtn{color:var(--emw--color-white, #fff);display:flex;align-items:center;justify-content:center;font-size:var(--emw--font-size-medium, 16px);font-style:normal;font-weight:var(--emw--font-weight-normal, 400);font-family:inherit;height:46px;width:100%;border:none;border-radius:50px;line-height:125%;background-color:var(--emw--color-primary, #7EC51E);margin-top:var(--emw--spacing-small, 12px);cursor:pointer}.ModalCloseBtn{position:absolute;display:flex;justify-content:space-between;align-items:center;padding:var(--emw--spacing-small, 12px) var(--emw--spacing-small, 12px);height:inherit;right:0;top:0;cursor:pointer}@container confirm-modal (max-width: 750px){.CashierModalContainer{margin:var(--emw--spacing-x-large, 30px) var(--emw--spacing-small, 12px)}}");
}
const ee = (t) => ({}), dt = (t) => ({}), ne = (t) => ({}), ht = (t) => ({}), se = (t) => ({}), $t = (t) => ({ class: "CashierModalText" }), ie = (t) => ({}), _t = (t) => ({ class: "CashierModalTitle" });
function oe(t) {
  let e, n;
  return {
    c() {
      e = at("svg"), n = at("path"), _(n, "d", "M12.7711 0.229435C13.0582 0.517619 13.0755 0.973729 12.8215 1.28141L12.7711 1.33721L7.60685 6.50068L12.7711 11.6641C12.9128 11.8066 12.9944 11.998 12.999 12.1988C13.0035 12.3997 12.9308 12.5946 12.7957 12.7433C12.6606 12.892 12.4735 12.9832 12.2731 12.9979C12.0728 13.0126 11.8744 12.9497 11.7191 12.8223L11.6633 12.7719L6.49958 7.60791L1.3359 12.7719C1.19349 12.9136 1.00207 12.9952 0.801203 12.9998C0.60034 13.0044 0.405398 12.9316 0.256676 12.7965C0.107955 12.6614 0.0168256 12.4744 0.00212786 12.274C-0.0125699 12.0736 0.0502877 11.8753 0.177706 11.7199L0.228086 11.6641L5.3923 6.50068L0.228086 1.33721C0.0863637 1.1948 0.00478102 1.00338 0.000203544 0.802529C-0.00437393 0.601674 0.0684038 0.40674 0.203491 0.258024C0.338579 0.109308 0.525647 0.0181829 0.726024 0.00348576C0.9264 -0.0112114 1.12476 0.0516437 1.28011 0.179057L1.3359 0.229435L6.49958 5.39345L11.6633 0.229435C11.736 0.156695 11.8223 0.0989949 11.9174 0.0596283C12.0124 0.0202617 12.1143 0 12.2172 0C12.32 0 12.4219 0.0202617 12.5169 0.0596283C12.612 0.0989949 12.6983 0.156695 12.7711 0.229435Z"), _(n, "fill", "#111111"), _(e, "xmlns", "http://www.w3.org/2000/svg"), _(e, "width", "13"), _(e, "height", "20"), _(e, "viewBox", "0 0 13 13"), _(e, "fill", "none");
    },
    m(s, i) {
      rt(s, e, i), C(e, n);
    },
    p: k,
    d(s) {
      s && N(e);
    }
  };
}
function re(t) {
  let e, n, s, i, r, l, o, u, c, p, $;
  const y = (
    /*#slots*/
    t[6].title
  ), f = D(
    y,
    t,
    /*$$scope*/
    t[5],
    _t
  ), d = (
    /*#slots*/
    t[6].text
  ), h = D(
    d,
    t,
    /*$$scope*/
    t[5],
    $t
  ), g = (
    /*#slots*/
    t[6].confirm
  ), m = D(
    g,
    t,
    /*$$scope*/
    t[5],
    ht
  ), M = (
    /*#slots*/
    t[6].close
  ), E = D(
    M,
    t,
    /*$$scope*/
    t[5],
    dt
  ), b = E || oe();
  return {
    c() {
      e = x("div"), n = x("div"), s = x("div"), f && f.c(), i = X(), h && h.c(), r = X(), l = x("span"), m && m.c(), o = X(), u = x("span"), b && b.c(), _(l, "class", "ModalOkBtn"), _(l, "role", "button"), _(u, "class", "ModalCloseBtn"), _(u, "role", "button"), _(s, "class", "CashierModalContainer"), _(s, "part", "CashierModalContainer"), _(n, "class", "CashierModalWindow"), _(n, "part", "CashierModalWindow"), _(n, "id", "Modal"), _(e, "part", "CustomStylingContainer");
    },
    m(a, w) {
      rt(a, e, w), C(e, n), C(n, s), f && f.m(s, null), C(s, i), h && h.m(s, null), C(s, r), C(s, l), m && m.m(l, null), C(s, o), C(s, u), b && b.m(u, null), t[7](e), c = !0, p || ($ = [
        V(
          l,
          "click",
          /*confirm*/
          t[2]
        ),
        V(
          u,
          "click",
          /*close*/
          t[1]
        )
      ], p = !0);
    },
    p(a, [w]) {
      f && f.p && (!c || w & /*$$scope*/
      32) && H(
        f,
        y,
        a,
        /*$$scope*/
        a[5],
        c ? W(
          y,
          /*$$scope*/
          a[5],
          w,
          ie
        ) : I(
          /*$$scope*/
          a[5]
        ),
        _t
      ), h && h.p && (!c || w & /*$$scope*/
      32) && H(
        h,
        d,
        a,
        /*$$scope*/
        a[5],
        c ? W(
          d,
          /*$$scope*/
          a[5],
          w,
          se
        ) : I(
          /*$$scope*/
          a[5]
        ),
        $t
      ), m && m.p && (!c || w & /*$$scope*/
      32) && H(
        m,
        g,
        a,
        /*$$scope*/
        a[5],
        c ? W(
          g,
          /*$$scope*/
          a[5],
          w,
          ne
        ) : I(
          /*$$scope*/
          a[5]
        ),
        ht
      ), E && E.p && (!c || w & /*$$scope*/
      32) && H(
        E,
        M,
        a,
        /*$$scope*/
        a[5],
        c ? W(
          M,
          /*$$scope*/
          a[5],
          w,
          ee
        ) : I(
          /*$$scope*/
          a[5]
        ),
        dt
      );
    },
    i(a) {
      c || (z(f, a), z(h, a), z(m, a), z(b, a), c = !0);
    },
    o(a) {
      F(f, a), F(h, a), F(m, a), F(b, a), c = !1;
    },
    d(a) {
      a && N(e), f && f.d(a), h && h.d(a), m && m.d(a), b && b.d(a), t[7](null), p = !1, L($);
    }
  };
}
function le(t, e, n) {
  let { $$slots: s = {}, $$scope: i } = e, { clientstyling: r = "" } = e, { clientstylingurl: l = "" } = e, o;
  const u = () => {
    window.postMessage({ type: "CloseModal" }, window.location.href);
  }, c = () => {
    window.postMessage({ type: "ConfirmModal" }, window.location.href), u();
  }, p = () => {
    let f = document.createElement("style");
    f.innerHTML = r, o.appendChild(f);
  }, $ = () => {
    let f = new URL(l), d = document.createElement("style");
    fetch(f.href).then((h) => h.text()).then((h) => {
      d.innerHTML = h, setTimeout(
        () => {
          o.appendChild(d);
        },
        1
      );
    });
  };
  function y(f) {
    et[f ? "unshift" : "push"](() => {
      o = f, n(0, o);
    });
  }
  return t.$$set = (f) => {
    "clientstyling" in f && n(3, r = f.clientstyling), "clientstylingurl" in f && n(4, l = f.clientstylingurl), "$$scope" in f && n(5, i = f.$$scope);
  }, t.$$.update = () => {
    t.$$.dirty & /*clientstyling, customStylingContainer*/
    9 && r && o && p(), t.$$.dirty & /*clientstylingurl, customStylingContainer*/
    17 && l && o && $();
  }, [
    o,
    u,
    c,
    r,
    l,
    i,
    s,
    y
  ];
}
class vt extends Xt {
  constructor(e) {
    super(), Qt(this, e, le, re, kt, { clientstyling: 3, clientstylingurl: 4 }, te);
  }
  get clientstyling() {
    return this.$$.ctx[3];
  }
  set clientstyling(e) {
    this.$$set({ clientstyling: e }), Z();
  }
  get clientstylingurl() {
    return this.$$.ctx[4];
  }
  set clientstylingurl(e) {
    this.$$set({ clientstylingurl: e }), Z();
  }
}
Zt(vt, { clientstyling: {}, clientstylingurl: {} }, ["title", "text", "confirm", "close"], [], !0);
const Le = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: vt
}, Symbol.toStringTag, { value: "Module" }));
export {
  V as A,
  ce as B,
  ve as C,
  Zt as D,
  $e as E,
  Q as F,
  ue as G,
  we as H,
  _e as I,
  be as J,
  ke as K,
  fe as L,
  he as M,
  at as N,
  pe as O,
  ge as P,
  xe as Q,
  Et as R,
  Xt as S,
  Me as T,
  ye as U,
  Ce as V,
  Le as W,
  jt as a,
  Qt as b,
  At as c,
  D as d,
  N as e,
  Z as f,
  z as g,
  I as h,
  st as i,
  W as j,
  Ee as k,
  rt as l,
  C as m,
  k as n,
  x as o,
  X as p,
  _ as q,
  L as r,
  kt as s,
  F as t,
  H as u,
  ae as v,
  de as w,
  me as x,
  wt as y,
  et as z
};
